/* FaxScript For TrapFax And ZVT				*/

options results

signal on break_c
signal on halt
signal on syntax

options failat 50

say "FaxScript For TrapFax And ZVT"

/*
 * TrapFax must be running and in a 'quiet' status.
 * Maybe you have to set the Assign 'TrapFax:' to this directory
 * where TrapFax resides.
 */

 address command 'cd TrapFax:'
 address command 'TFaxDoor IMMEDIATE >CON:0/0/640/100/TFax'
 setvars(0)
 exit

/*
 * Maybe I'll put some more sophisticated check here... At this time
 * I have no idea how to check the return values...
 * Up to this point this script does nothing else but receiving the fax.
 */

setVars: procedure
	parse arg error

	if error=0 then
		do
		address zvt.1 'setlength ' || 1
		address zvt.1 'setname ' || unknown_file
		end
	else		/* No fax here. */
		do
		address zvt.1 'setlength ' || 0
		address zvt.1 'setname no_file'
		end
	return rc


error:
	call Debug("Error" rc "at line" sigl)
	return rc

break_c:
halt:
	call Debug("CTRL_C at line" sigl)
	exit 20

syntax:
	call Debug("Syntax error" rc "at line" sigl)
	return rc


Debug: procedure
	parse arg info

	firstLine = sourceline(1)
	parse var firstLine '/*' title '*/'
	say title ':' info
	return
